Page MenuHomePhabricator

Test for performance regressions
Closed, ResolvedPublic2 Estimate Story Points

Description

Splitting this into a subtask.

Compare performance benchmarks before and after deploying the banner history feature and supporting code. Page paint, banner render, and page load timing should not change noticeably.

Consider whether there are any numbers missing from the control, in other words, experiments we'd like to do before the feature is deployed.

Event Timeline

awight created this task.Jul 30 2015, 9:37 PM
awight raised the priority of this task from to Medium.
awight updated the task description. (Show Details)
AndyRussG set Security to None.
AndyRussG edited a custom field.
AndyRussG moved this task from Backlog to Doing on the Fundraising Sprint Queen board.

Using WebPageTest and a labs instance, I've mostly confirmed that performance of the new code is at least fine, and probably better than existing code.

In the attached spreadsheet, the exec_time column is the number of milliseconds elapsed between when the main centralNotice module is first executed, and when the background call is made to retrieve the banner. In all cases, the new code does better.

However, there are issues with this metric: the points of comparison were (unintentionally) unfair to the old code, because of DOM readiness and how GeoIP code is run. So if there's time, I'd like to re-do these tests using better points of comparison and adding in some new metrics.

Even so, I think the it's clear enough that the new code won't be a major draw on performance.

Since most of work is scripted, it'll be pretty easy to redo and tweak. (I'll send up the scripts in a bit.)

AndyRussG closed this task as Resolved.Sep 9 2015, 10:37 PM
AndyRussG moved this task from Review to Done on the Fundraising Sprint Snoop (Dogg|Lion) board.
mmodell removed a subscriber: awight.Jun 22 2017, 9:38 PM